/*
        PageLayoutPanel.h

	PageLayoutPanel class panel header

	Copyright (C) 2003 Fabien VALLON
	Additional copyrights here

	Authors: Fabien VALLON <fabien@tuxfamily.org>
	Date:	20 Oct 2003

	This program is free software; you can redistribute it and/or
	modify it under the terms of the GNU General Public License as
	published by the Free Software Foundation; either version 2 of
	the License, or (at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

	See the GNU General Public License for more details.

	You should have received a copy of the GNU General Public
	License along with this program; if not, write to:

		Free Software Foundation, Inc.
		59 Temple Place - Suite 330
		Boston, MA  02111-1307, USA
*/


#ifndef _IMAGESTOOLS_FRAMEWORK_PAGELAYOUTPANEL_H
#define _IMAGESTOOLS_FRAMEWORK_PAGELAYOUTPANEL_H


#include <AppKit/NSPanel.h>

@interface PageLayoutPanel : NSPanel
{
  id displayButton;
  id document;
  id heightField;
  id menu;
  id okCancelMatrix;
  id paperPopUp;
  id printPopUp;
  id scaleField;
  id styleMatrix;
  id unitsPopUp;
  id widthField;
  id window;
  id paperSize;
  id topView;
@private
  BOOL _portrait;
  id _accessoryView;
  id _bottomView;
}

- (void) setAccessoryView: (NSView*)aView;
- (NSView*) accessoryView;

- (void) settingsAction: (id)sender;
- (void) okCancelAction: (id)sender;


@end

#endif
